%define rel 1
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: TiLP is a program allowing a PC to communicate with a TI calculator.
Name: tilp
Version: 6.67
Release: %{rel}%{rhtag}
URL: http://tilp.info
Source: http://www.ticalc.org/pub/unix/%{name}.tar.gz
Group: Applications/Productivity
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}
PreReq: gtk+ >= 1.2.9, libticables, libticalcs, libtifiles, appsign, XFree86-base-fonts
BuildPreReq: gtk+-devel >= 1.2.9, libticables-devel, libticalcs-devel, libtifiles-devel, pkgconfig

%description
TiLP is a program allowing a PC to communicate with a TI calculator.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}, libticables-devel, libticalcs-devel, libtifiles-devel

%description devel
Development files for %{name}

%prep
%setup -n %{name}-%{version}-beta3

%build
%configure --enable-static
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/%{name}
mkdir -p %{buildroot}/%{_includedir}/%{name}
%makeinstall "tilp_glade_dir = %{buildroot}%{_datadir}/%{name}/glade" \
		"tilp_help_dir = %{buildroot}%{_datadir}/%{name}/help" \
		"tilp_icon_dir = %{buildroot}%{_datadir}/%{name}/icons" \
		"tilp_pixmap_dir = %{buildroot}%{_datadir}/%{name}/pixmaps" \
		"tilp_plugin_dir = %{buildroot}%{_libdir}/%{name}"

rm -f %{buildroot}/usr/share/appsign83/0104.key
rm -f %{buildroot}/usr/share/appsign83/appsign

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(0664, root, root, 0755)
%doc README
%dir %{_prefix}/etc/%{name}
%config %{_prefix}/etc/%{name}/%{name}.registry
%attr(0755, root, root) %{_bindir}/%{name}*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_libdir}/lib*.so*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%dir %{_libdir}/%{name}

%files devel
%defattr(0664, root, root, 0755)
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
